

--Actualizar el id_equipo del registro cero.
update equ_cicloHorometro set id_equipo=0 where id=0

--Ajusta la relacion entre equipo,trazabilidad,cilcoHorometro.
update equ_cicloHorometro 
set id_equipo=(case when (select top 1 id_equipo from equ_trazabilidad where id_cicloHorometro=equ_cicloHorometro.id) is null then 0 else (select top 1 id_equipo from equ_trazabilidad where id_cicloHorometro=equ_cicloHorometro.id) end)
 where active=1 
 
 
--establece el ciclo 1 a todos los equipos y elimina los que se crearon mal o no corresponden al ciclo 1.
--excepto a los que se detectan que fueron de overhaul
	declare @uid as varchar(500)

 
     set @uid=(select uid from seg_usuario where id=1)
     update equ_cicloHorometro set eid='01',uid=@uid+ '_' +cast(id as varchar(50)) where id>0
     
     update equ_cicloHorometro set active=0 where Nciclo<=1 and id_equipo not in (select id_equipo from equ_overhall where equ_overhall.active=1)

     update equ_cicloHorometro
     set active=1 
     where id in (select max(id) from equ_cicloHorometro group by id_equipo) and id >0

     update equ_trazabilidad 
     set id_ciclohorometro=ciclo.id
     from equ_trazabilidad 
     inner join equ_cicloHorometro ciclo on ciclo.id_equipo=equ_trazabilidad.id_equipo
     where horometro>0

--establece el tipo de traza para los horometros errados.
     update equ_trazabilidad set id_tipotrazabilidad=0 where horometro=0
     
     
  --Este script solo ajusta los equipos que tienen un solo ciclo,
  --los demas es necesario hacerlo a manualmente.
     
     
     